petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerPopFormat

Resets the format for file PetscViewers.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscViewerPopFormat(PetscViewer viewer)

Logically Collective on PetscViewer

### Input Parameters

viewer -the PetscViewer

### See Also

PetscViewerASCIIOpen(), PetscViewerBinaryOpen(), MatView(), VecView(),
PetscViewerSetFormat(), PetscViewerPushFormat()

Level:intermediate
Location:src/sys/classes/viewer/interface/viewa.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/viewer/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/is/sf/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex54.c.html
src/ksp/ksp/examples/tutorials/ex55.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/ts/examples/tutorials/ex9.c.html